Subject: bug#1039: 23.0.60; emacs forgets EOL convention after revert-buffer

From: Peter De Wachter <[email-masked]>
Date: Mon, 13 Oct 2008 21:53:42 +0200

On Sun, 12 Oct 2008 20:48:45 +0200
martin rudalics <[email-masked]> wrote:

>  > That patch fixes the bug I reported, but it creates a new one:
> 
> Are you sure that this worked _before_ my patch?

Hm, I must have tried it with Emacs 22. It doesn't work in 23. Too many
versions to juggle around. Sorry for the confusion.

>  > if you
>  > change the EOL convention outside of emacs, revert-buffer no longer
>  > detects this.
> 
> Indeed.  BTW, can you confirm that when you delete the entire buffer
> text first reverting works correctly?  Unfortunately, I don't

Yes, it works if I clear the buffer first, both with and without your
patch.

> understand this part of `insert-file-contents' at all.  I suppose
> Emacs should redecode when it finds out that the eol-types of the
> buffer and the part of the file it has already read differ.  But
> somehow this doesn't happen.  Handa-san do you have any ideas?

-- 
Peter De Wachter